=== parallelaccessstore/CMakeLists.txt ===
project (parallelaccessstore-test)

set(SOURCES
    ParallelAccessBaseStoreTest.cpp
    DummyTest.cpp
)

add_executable(${PROJECT_NAME} ${SOURCES})
target_link_libraries(${PROJECT_NAME} my-gtest-main googletest parallelaccessstore)
add_test(${PROJECT_NAME} ${PROJECT_NAME})

target_enable_style_warnings(${PROJECT_NAME})
target_activate_cpp14(${PROJECT_NAME})
