=== debian/changelog ===
cryfs (0.11.3-5) unstable; urgency=medium

  * Re-upload with proper distribution.

 -- David Steele <steele@debian.org>  Wed, 28 Dec 2022 09:05:41 -0500

cryfs (0.11.3-4) jammy; urgency=medium

  * Disable asm on s390x build

 -- David Steele <steele@debian.org>  Tue, 27 Dec 2022 16:25:41 -0500

cryfs (0.11.3-3) unstable; urgency=medium

  * Revert NEWS.

 -- David Steele <steele@debian.org>  Thu, 03 Nov 2022 22:23:44 -0400

cryfs (0.11.3-2) unstable; urgency=medium

  * Add NEWS warning.

 -- David Steele <steele@debian.org>  Thu, 03 Nov 2022 22:12:58 -0400

cryfs (0.11.3-1) unstable; urgency=medium

  * New upstream version.
  * Add cryfs-unmount to package (Closes: #1008845, #1017721).

 -- David Steele <steele@debian.org>  Thu, 03 Nov 2022 17:50:53 -0400
