=== debian/changelog ===
cryfs (0.11.4-5) unstable; urgency=medium

  * QA upload.
  * Build using the default gcc. (Closes: #1114085)
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1112816)
  * Use the system libcrypto++. (Closes: #1108008)
  * Use the system GoogleTest.
  * Apply patch from Aurelien Jarno to enable parallel building and
    fix nocheck. (Closes: #1086870)

 -- Adrian Bunk <bunk@debian.org>  Sat, 06 Sep 2025 22:04:23 +0300

cryfs (0.11.4-4) unstable; urgency=medium

  * Orphaning - Set Maintainer to Debian QA.

 -- David Steele <steele@debian.org>  Sat, 06 Sep 2025 10:45:52 -0400

cryfs (0.11.4-3) unstable; urgency=medium

  * Move Debian hosting home to Salsa.

 -- David Steele <steele@debian.org>  Fri, 17 Jan 2025 12:57:32 -0500

cryfs (0.11.4-2) unstable; urgency=medium

  * Upgrade build to gcc version 14.

 -- David Steele <steele@debian.org>  Sat, 17 Aug 2024 22:45:55 -0400

cryfs (0.11.4-1) unstable; urgency=medium

  * New upstream version.
  * Fix gcc-13 compile problem (Closes: #1037612)

 -- David Steele <steele@debian.org>  Thu, 20 Jul 2023 15:27:59 -0400
