=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: cryfs
-Maintainer: David Steele <steele@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org> 
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -14,13 +14,16 @@
                libboost-program-options-dev,
                libboost-thread-dev,
                libcrypto++-dev (>= 5.6.4),
+               libgtest-dev,
+               libgmock-dev,
                libssl-dev,
                libfuse-dev,
                python3-all,
+               python3-versioneer,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0.1
-Vcs-Browser: https://github.com/davesteele/cryfs
-Vcs-Git: https://github.com/davesteele/cryfs.git -b debian
+Vcs-Browser: https://salsa.debian.org/steele/cryfs
+Vcs-Git: https://salsa.debian.org/steele/cryfs.git -b debian
 Homepage: https://www.cryfs.org/
 
 Package: cryfs
