## cryfs 1.0.1

=== debian/changelog ===
cryfs (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1.
  * Adopt package (Closes: #1093400).
  * Added patch to support fuse3 (Closes: #1084454).
  * Added patch to fix boost 1.88 build failure (Closes: #1110579).
  * Updated system libcrypto++ patch.
  * Updated d/copyright with new files.
  * Updated d/watch file to watch for tags.
  * Updated d/gbp.conf file.

 -- Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>  Tue, 25 Nov 2025 12:56:11 +0500
