=== debian/control ===
Source: cryfs
Maintainer: Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               pkgconf,
               librange-v3-dev,
               libspdlog-dev,
               libcurl4-openssl-dev,
               libboost-filesystem1.88-dev,
               libboost-system1.88-dev,
               libboost-chrono1.88-dev,
               libboost-program-options1.88-dev,
               libboost-process1.88-dev,
               libboost-thread1.88-dev,
               libcrypto++-dev (>= 5.6.4),
               libssl-dev,
               libfuse3-dev,
               python3-all,
               python3-versioneer,
               libgtest-dev,
               libgmock-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/syed/cryfs
Vcs-Git: https://salsa.debian.org/syed/cryfs.git -b debian/latest
Homepage: https://www.cryfs.org/

Package: cryfs
Architecture: linux-any
Depends: fuse3,
         ${misc:Depends},
         ${shlibs:Depends}
Description: encrypt your files and store them in the cloud
 CryFS encrypts your files, so you can safely store them anywhere. It works
 well together with cloud services like Dropbox, iCloud, OneDrive and others.
