=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cryfs-$1.tar.gz%" \
    https://github.com/cryfs/cryfs/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
