## cryfs 1.0.3

=== debian/changelog ===
cryfs (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3.
  * Update debian copyright in d/copyright.
  * Update patches for new release.
  * Bump Standards-Version to 4.7.3.

 -- Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>  Tue, 10 Feb 2026 20:00:11 +0500
