=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libgtest-dev,
                libgmock-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/syed/cryfs
 Vcs-Git: https://salsa.debian.org/syed/cryfs.git -b debian/latest
 Homepage: https://www.cryfs.org/
